View Issue Details

IDProjectCategoryView StatusLast Update
0001260ScribusImport / Exportpublic2007-09-22 21:31
Reporterbillc Assigned Tojghali  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Platformi386 or ppcOSdebianOS Versiontesting
Product Version1.3 
Target VersionFixed in Version1.3.5svn 
Summary0001260: text of inkscape svg shows as boxes
DescriptionWhen I import an SVG made by inkscape into Scribus, any text
appears as boxes.
TagsNo tags attached.
Patch

Relationships

has duplicate 0001329 closedfschmid SVG import: incorrect font-style and font-family 
child of 0002931 acknowledged Metabug: SVG 

Activities

cbradney

2004-10-29 22:03

administrator   ~0002791

Try saving it as a Plain SVG, and otherwise, please upload a sample file.

billc

2004-11-11 04:16

reporter   ~0002874

With 1.2.1 I'm mostly not having this problem. Now I see I can ungroup the objects and resize the text boxes to make the letters appear.

However, Scribus replaces the font of the svg with the font currently selected in Scribus.

billc

2004-11-11 04:42

reporter   ~0002875

One more thing: I notice that Scribus ignores the master opacity of the geometric objects.

2005-09-17 21:14

 

abc_blocks_petri_lummema_01.svg (27,138 bytes)

jwatte

2005-09-17 21:15

reporter   ~0006632

I believe this is the same bug as 0001329. I added a sample file from OpenClipArt that shows this problem on my machine (using 1.2.2.1).

plinnell

2005-11-11 21:38

viewer   ~0007405

Bumping to 1.3 for the SVG re-write.

jghali

2006-10-19 21:50

administrator   ~0013033

SVG text elements are better handled in 1.3.3.5cvs. To import the attached svg perfectly, scribus needs improved graphics capabilities however, noticeably the ability to apply more complex transform on layout elements than rotation + scaling. These features won't be available soon, i hope they will in 1.4 however.

jghali

2007-09-22 21:00

administrator   ~0017353

Text elements of sample svg files can now be imported correctly in 1.3.5svn, text being now imported as vectors in order to better support svg graphic capabilities

Issue History

Date Modified Username Field Change
2004-10-29 21:26 billc New Issue
2004-10-29 22:03 cbradney Note Added: 0002791
2004-11-11 04:16 billc Note Added: 0002874
2004-11-11 04:42 billc Note Added: 0002875
2005-09-17 21:14 jwatte File Added: abc_blocks_petri_lummema_01.svg
2005-09-17 21:15 jwatte Note Added: 0006632
2005-09-18 20:31 plinnell Status new => confirmed
2005-09-18 20:31 plinnell Product Version 1.2 => 1.2.4cvs
2005-09-18 20:32 plinnell Relationship added related to 0001329
2005-11-11 21:37 plinnell Relationship replaced has duplicate 0001329
2005-11-11 21:38 plinnell Note Added: 0007405
2005-11-11 21:38 plinnell Product Version 1.2.4cvs => 1.3
2006-05-17 19:14 christoph_s Relationship added child of 0002931
2006-10-19 21:50 jghali Note Added: 0013033
2007-09-22 21:00 jghali Status confirmed => resolved
2007-09-22 21:00 jghali Fixed in Version => 1.3.5svn
2007-09-22 21:00 jghali Resolution open => fixed
2007-09-22 21:00 jghali Assigned To => jghali
2007-09-22 21:00 jghali Note Added: 0017353
2007-09-22 21:31 cbradney Status resolved => closed